package Kirjalista;


/**
 * Genre-luokka
 * - Sisältää genren tiedot
 * - Muuttaa merkkijonon genren tiedoiksi
 * - Muuttaa genren tiedot merkkijonoksi
 */
public class Genre {
    
    private int id = 0;
    private String nimi = "";
    
    private static int seuraavaId = 1;
    
    /**
     * Ottaa merkkijonon ja muuttaa sen genren tiedoiksi, poistaa turhat völilyönnit ja muuttaa
     * syötteen pieniksi kirjaimiksi
     * @param mjono Merkkijono, josta kirjan tiedot saadaan
     * <pre name="test">
     * Genre g = new Genre();
     * g.parse("fantasia");
     * g.toString() === "fantasia";
     * g.parse("FANTASIA");
     * g.toString() === "fantasia";
     * g.parse("  Fantasia   ");
     * g.toString() === "fantasia";
     * </pre>
     */
    public void parse(String mjono) {
        this.nimi = mjono.trim().toLowerCase();
    }
    
    
    /**
     * Palauttaa genren nimen merkkijonona
     */
    @Override
    public String toString() {
        return (this.nimi);
    }
    
    
    /**
     * Rekisteröi genren antamalla sille id:n, kasvattaa seuraavaId:tä
     * <pre name="test">
     *  Genre g1 = new Genre();
     *  Genre g2 = new Genre();
     *  g1.rekisteroi();
     *  g2.rekisteroi();
     *  g1.getId() === g2.getId() - 1;
     *  </pre>
     */
    public void rekisteroi() {
        this.id = seuraavaId;
        seuraavaId++;
    }
    
    
    /**
     * palauttaa genren id:n
     * @return Genren id
     */
    public int getId() {
        return this.id;
    }
}
