package Kirjalista;


/**
 * Liimaa kirjan ja genren yhteen id:n perusteella
 */
public class KirjanGenre {
    private int kirjaId;
    private int genreId;
    
    
    /**
     * Luo olion
     * @param kirja kirja, jonka id tallennetaan
     * @param genre genre, jonka id tallennetaan
     * <pre name="test">
     * Kirja k = new Kirja();
     * k.rekisteroi();
     * Kirja k1 = new Kirja();
     * k1.rekisteroi();
     * 
     * Genre g = new Genre();
     * g.rekisteroi();
     * Genre g1 = new Genre();
     * g1.rekisteroi();
     * 
     * KirjanGenre kg = new KirjanGenre(k, g);
     * KirjanGenre kg1 = new KirjanGenre(k1, g1);
     * KirjanGenre kg2 = new KirjanGenre(k, g1);
     * 
     * kg.getKirjaId() === k.getId();
     * kg1.getKirjaId() === k1.getId();
     * kg2.getKirjaId() === k.getId();
     * 
     * kg.getGenreId() === g.getId();
     * kg1.getGenreId() === g1.getId();
     * kg2.getGenreId() === g1.getId();
     * 
     * 
     * </pre>
     */
    public KirjanGenre(Kirja kirja, Genre genre) {
        this.kirjaId = kirja.getId();
        this.genreId = genre.getId();
    }
    
    
    /**
     * Palauttaa kirjan id:n
     * @return Kirjan id
     */
    public int getKirjaId() {
        return this.kirjaId;
    }
    
    
    
    /**
     * Palauttaa genren id:n
     * @return Genren id
     */
    public int getGenreId() {
        return this.genreId;
    }
}


